add_library(
	Studio
		configio.cpp
		context.cpp
		editor.cpp
		filepickerpopup.cpp
		filetreemodel.cpp
		imguiutil.cpp
		module.cpp
		popup.cpp
		project.cpp
		task.cpp
		undocommand.cpp
		undostack.cpp
		filedialog_nfd.cpp
)

target_include_directories(
	Studio PUBLIC
		../include
)

include_directories(
	SYSTEM
		${GTK3_INCLUDE_DIRS}
)

target_link_libraries(
	Studio PUBLIC
		nfd
		OxEvent
		GlUtils
		Turbine
)

install(
	TARGETS
		Studio
	DESTINATION
		LIBRARY DESTINATION lib
		ARCHIVE DESTINATION lib
)

install(
	DIRECTORY
		../include/studio
	DESTINATION
		include
)
